
.content-view {
  @media @sidebar {
    display: none;
  }

  overflow-x: hidden;
  background-color: @agent-main-background;
  overflow-y: auto;

  &[class~="content.externalview"] {
    overflow-y: hidden;
  }

  .content-header {
    height: 35px;
    background-color: @agent-content-title-background;
    text-align: center;
  }

  .empty-text {
    height: 50px;
    font-family: roboto-italic;
    opacity: 0.5;
    font-size: 15px;
    text-align: center;
  }
}

.activities-content {
  .enterall {
    margin: 0 0 0 3px !important;
  }

  .fa-circle {
    visibility: hidden;
  }

  .padding-remove {
    padding-top: 5px;
  }

  .force-remove-icon-height {
    height: 31px;
  }

  tr {
    &:not(.empty-text):hover {
      .fa-circle {
        visibility: visible;
      }
    }

    a {
      color: @xivo-dark;
    }

    .fa-phone {
      padding-top: 1px;
      font-size: 18px;
    }

    .fa-list {
      font-size: 17px;
      padding-top: 5px;
    }
  }

  .removeQueue {
    &.disabled {
      color: @agent-content-not-checked;
    }
  }

  tr:hover .removeQueue{
    &.disabled {
      display: none;
    }
  }

  .call-badge {
    margin-top: 3px;
    margin-left: -5px;
  }
}

.customer-header {
  margin: 0px 48px 20px 48px;
  height: 35px;
  border: solid 1px @agent-content-submenu-border;
  display: flex;

  .customer-header-item {
    width: 132px;
    display: inline-flex;
    font-family: roboto-bold;
    font-size: 15px;
    line-height: 2.33;
    color: @agent-content-submenu-color;
    background-color: @agent-content-submenu-background;

    &.inactive {
      opacity: 0.3;
      cursor: pointer;
    }

    &.inactive:hover {
      opacity: 0.5;
    }

    p {
      margin: auto;
    }
  }
}

.customer-content {

  .context-item {
    margin: 10px 48px;
    height: 35px;

    .title {
      font-size: 13px;
      line-height: 1;
      color: @xivo-dark-gray;
    }

    .value {
      font-size: 15px;
      font-family: roboto-bold;
      line-height: 1.5;
      color: @xivo-dark;
    }
  }

  .waiting-agent-answer::after {
    content: url("@{images}/call/waiting_agent_answer.svg");
  }

  .agent-answer::after {
    content: url("@{images}/call/agent_answer.svg");
  }

  .no-agent-answer::after {
    content: url("@{images}/call/no_agent_answer.svg");
  }
}

.agent-content {

  tr {
    &:not(.empty-text):hover {
      .fa-circle {
        visibility: visible;
      }
      td {
        color: @agent-header-foreground;
      }
    }

    a {
      color: @xivo-dark;
    }

    .fa-phone {
      padding-top: 1px;
      font-size: 18px;
    }

    .agent-icon {
      display: block;
      padding-top: 5px;

      svg {
        height: 20px;
        width: 20px;
      }
    }
  }
}

.vertical-align {
    display: flex;
    align-items: center;
}

.search-content {

  .text-white {
    color: @white;
  }

  .dropdown-menu {
    left: initial;
    right: 0;
    top: 13px;
    color:#fff;
    background: none;
    border: 0px none;
    box-shadow: none;
    margin: 0;
    padding: 0;
    > li {
      margin-top: 1px;
      float: right;

      .input-group-btn {
        &.group-btn-wrapper {
          max-width: 296px;
        }
      }
    }
    .btn {
      text-transform: none;
      text-align: left;
      font-family: roboto-bold;
      color: @white;
      .glyphicon, .fa {
        visibility: hidden;
      }
      &:hover {
        background-color: @xivo-dark;
        .glyphicon, .fa {
          visibility: visible;
          color: @xivo-primary;
        }
      }
    }
  }

  th {
    label {
      margin-bottom: 0;
      font-weight: normal;
    }
  }

  tr {
    .fa-circle {
      visibility: hidden;
    }

    .fa-phone {
      padding-top: 1px;
      font-size: 18px;
    }

    .fa-user {
      font-size: 20px;
      position: absolute;
      bottom: -10px;
    }

    .users-icon {
      font-size: 20px;
      margin-left: 15px;
    }

    .fa-ellipsis-v {
      position: absolute;
      right: 12px;
      bottom: -8px;
      color: @white;
    }

    a {
      color: @xivo-dark;
    }

    &:not(.empty-text):hover {
      .fa-circle {
        visibility: visible;
      }
      td {
        color: @agent-header-foreground;
      }
    }
  }

  .search-results {
    background-color: @agent-search-background;
    min-height: 25px;
    padding: 3px 8px;
    font-size: 13px;
    font-family: roboto-bold;
    color: @agent-content-submenu-color;

    label {
      font-family: roboto;
      font-weight: normal;
      margin-bottom: 0;
    }

    .count-separator {
      padding-left: 6px;
      padding-right: 6px;
    }
  }

  .contact {
    line-height: 1.1;
    padding: 0;    
  }

  .contact-subheader {
    font-size: 11px;
  }

}

.tooltip.tooltipSearchClass .tooltip-inner {
  color: white;
  background-color: 	#bf0000;
  box-shadow: 0 6px 12px rgba(0,0,0,.175);
}

.tooltip.tooltipSearchClass .tooltip-arrow {
  display: none;
}

.history-tab {
  .sorted-grid {
    display: grid;
    grid-template-columns: 5% 50% 1fr 1fr 0.5fr;
  }
  .agent-history-header {
    height: 35px;
    background-color: #b1b1b1;
    .agent-history-header-item {
      text-align: center;
      color: white;
      padding: 8px;
      font-family: roboto-bold;
      font-size: 13px;
      font-weight: bold;
      font-stretch: condensed;
      &:nth-child(2) {
        text-align: start;
      }
    }
    .agent-history-header-date {
      padding: 8px 0;
      text-align: center;
      cursor: pointer;
      i {
        margin-left: 4px;
      }
    }
  }
  .agent-history-content {
    .agent-history-call {
      line-height: 35px;
      .fa-phone {
        margin-top: 1px;  
        font-size: 18px;
      }
      &:hover {
        .agent-history-phone {
          color: #ffffff;
        }
        .call-list-wrapper {
          cursor: pointer;
          background-color: #b1b1b1!important;
          color: #ffffff;
          p, i {
            color: #ffffff;
          }
          .agent-history-call-button {
            color: #595959!important;
            .fa {
              line-height: 35px;
              font-size: 30px;
            }
            .fa-circle {
              display: block;
            }
            .fa-phone {
              color: #595959;
              margin-top: 1px;  
              font-size: 18px;
            }
          }
        }
      }
      &:nth-of-type(odd) { background-color : #ffffff}
      &:nth-of-type(even) { background-color: #f3f3f3;}
      .children-chevron {
        margin-left: 5px;
        color: #b1b1b1;
      }
      .agent-history-phone {
        margin: 0 2px 0 8px!important;
        vertical-align: top;
        word-break: break-all;
        color: #595959;
        font-size: 15px;
        .name-inline {
          display: inline-block;
        }
        p {
          margin: 0!important;
        }
      }
      .agent-history-status {
        padding: 8px;
        height: 35px;
        img {
          vertical-align: top;
        }
      }
      .agent-history-call-button {
        color: #b1b1b1;
        position: relative;
        .fa-circle {
          display:none;
        }
      }
    }
  }

  .empty-text {
    grid-column: 1/6;
  }

  .agent-history-day {
    grid-column: 1/6;
    font-family: roboto;
    padding: 2px 5px;
    font-size: 13px !important;
    color: #5d5d5d !important;
    background-color: #d0d2d3 !important;
    text-align: left !important;
    height: 25px;
    border-bottom: 1px solid #c1c1c1;
  }

  .agent-history-call-button {
    grid-column: 5 / span 1;
  }

  call-lister {
    display: block;
    .history-child-grid {
      grid-template-columns: 5px 40px auto auto 1fr;
      grid-template-rows   : 1fr;
      height               : 30px;
    
      .children-duration {
        grid-column: 3;
    
        span {
          padding-left: 10px;
        }
      }
    
      .children-start {
        margin-right: 0px;
        text-align : end;
        grid-column: 4;
      }
    
      .children-status {
        grid-column: 2;
    
        img {
          margin-left: 10px;
          margin-bottom: 3px;
        }
      }
    
      .history-child-grid-item {
        line-height: 30px;
        padding    : 0px 8px;
        grid-row   : 1;
      }
    }
  }

  .children-show {
    .agent-history-status {
      img {
      display: none;
      }
    }
    .agent-history-time {
      display: none;
    }
  }

  .history-children-details {
    font-size: 16px;
    display: grid;
    cursor: default;
  }
  
}

.content-settings-title {
  background-color: @agent-search-background;
  min-height: 25px;
  padding: 3px 8px;
  font-size: 13px;
  font-family: roboto-bold;
  color: @agent-content-submenu-color;
}

.content-settings {
  margin: 10px 20px;
  p {
    padding: 0;
    margin: 0 0 3px;
  }
}

.agent-hid-menu {
  border: 1px #959595 solid;
  border-radius: 4px;
  font-family: roboto-bold;
  font-size: 13px;
  padding: 9px 12px;
  overflow: hidden;
  white-space: nowrap;
  text-overflow: ellipsis;

  &:hover {
    background-color: #eaeaea;
  }
}

.user-status-99, .user-status-2, .user-status-1, .user-status4 {
  &:hover {
    background-color: @agent-content-submenu-background !important;
  }

  &.lighter:not(:hover) {
    background-color: lighten(@agent-content-submenu-background, 4%) !important;
  }
}

.user-videostatus-Busy {
  background-color: inherit !important;

  &.lighter:not(:hover) {
    background-color: inherit !important;
  }
}

.state-agent-logged-out {
  &:hover {
    background-color: @agent-content-submenu-background !important;
  }
}

.btn-room-audio {
  height: 40px;
}

.error-pin {
  padding: 10px;
  margin-top: 30px;
  font-size: 13px;
}